Skip to main content
CyberArk (Privilege Cloud)
CyberArk (Privilege Cloud)
31 actions · 1 auth method
BetaIAM

Authentication

OAuth 2.0 (Service Account)

Uses OAuth 2.0 client credentials flow with a CyberArk Identity service account. Token endpoint is on the identity tenan…Guides: Connector Profile, Link Account
Actions
31 actions
Action
Description
Get Users
Retrieve a list of all existing users in Privilege Cloud via GET /Users
Get User Details
Retrieve information about a specific user via GET /Users/{UserID}
Add User
Add a new user to Privilege Cloud via POST /Users
Update User
Update an existing user via PUT /Users/{UserID}
Delete User
Delete a specific user in Privilege Cloud via DELETE /Users/{UserID}
Activate User
Activate a suspended user via POST /Users/{UserID}/Activate
Reset User Password
Reset an existing Vault user’s password via POST /Users/{UserID}/ResetPassword
Get Groups
Retrieve a list of all existing user groups via GET /UserGroups
Get Group Details
Retrieve details of a single user group via GET /UserGroups/{ID}
Create Group
Add a new group via POST /UserGroups
Update Group
Update a Vault group via PUT /UserGroups/{groupId}
Delete Group
Delete a Privilege Cloud group via DELETE /UserGroups/{GroupID}
Add Member To Group
Add a user as a member to an existing Vault group via POST /UserGroups/{id}/Members
Remove User From Group
Remove a specific user from a user group in the Vault via DELETE /UserGroups/{groupID}/Members/{member}
Get All Safes
Retrieve a list of all Safes in the Vault via GET /Safes
Get Safe Details
Retrieve information about a specific Safe via GET /Safes/{SafeUrlId}
Add Safe
Add a new Safe to Privilege Cloud via POST /Safes
Update Safe
Update a single Safe in Privilege Cloud via PUT /Safes/{SafeUrlId}
Delete Safe
Delete a Safe from the Vault via DELETE /Safes/{safeUrlId}
Get All Safe Members
Retrieve a list of members of a Safe via GET /Safes/{SafeUrlId}/Members
Add Safe Member
Add an existing user or group as a Safe member via POST /Safes/{safeUrlId}/Members
Update Safe Member
Update an existing Safe member via PUT /Safes/{SafeUrlId}/Members/{MemberName}
Remove Safe Member
Remove a member from a Safe via DELETE /Safes/{safeUrlId}/Members/{memberName}
Get Accounts
Retrieve a list of all privileged accounts via GET /Accounts
Get Account Details
Retrieve details of a specific privileged account identified by its ID via GET /Accounts/{id}
Add Account
Add a new privileged account to Privilege Cloud via POST /Accounts
Update Account
Update an existing account’s details via PATCH /Accounts/{AccountID}
Delete Account
Delete a specific account in the Vault via DELETE /Accounts/{id}
Get Password Value
Retrieve the password or SSH key of an existing account via POST /Accounts/{accountId}/Password/Retrieve
Get Platforms
Retrieve all existing account platforms via GET /Platforms
Get Platform Details
Retrieve details of a specific platform via GET /Platforms/{PlatformName}

Getting Started

1

Create or Select a Project

Set up a new project or select an existing one. See the Projects Guide.
2

Configure the Connector

Enable the connector and set up a connector profile in your project. See Managing Connectors.
https://stackone-logos.com/api/cyberark/filled/png

Connector Profile

CyberArk (Privilege Cloud) - OAuth 2.0 (Service Account)
3

Link an Account

Connect an account using StackOne Hub or Auth Link.
https://stackone-logos.com/api/cyberark/filled/png

Link Account

CyberArk (Privilege Cloud) - OAuth 2.0 (Service Account)
4

Use Actions

Invoke actions using one of the methods below: